/* Imports *****************************************************************/

@import url("sections/drops.css");
@import url("sections/umbral.css");


/* Fonts *******************************************************************/

@font-face {
  font-family: Nunito;
  src: url("../fonts/Nunito-Variable.woff2") format("woff2");
}

@font-face {
  font-family: Nunito-Italic;
  src: url("../fonts/Nunito-Italic-Variable.woff2") format("woff2");
}

@font-face {
  font-family: Poltawski_Nowy-Italic;
  src: url("../fonts/Poltawski_Nowy-Italic-Variable.woff2") format("woff2");
}

@font-face {
  font-family: Rubik;
  src: url("../fonts/Rubik-Variable.woff2") format("woff2");
}


/* Variables ***************************************************************/

:root {
  /* Blueberry Dark */
  --bd-background-color: #2B253D;
  --bd-background-color-container: #1E1A2E;
  --bd-border-color-divider: #413766;
  --bd-border-color-quote: #6C648B;
  --bd-color-quote: #E2E0F0;
  --bd-color-header: #9C97C0;
  --bd-color-link: #9C97C0;
  --bd-color-link-hover: #6C648B;
  --bd-color-text: #9C97C0;
  /* Blueberry Light */
  --bl-background-color: #9C97C0;
  --bl-background-color-container: #B8B4CC;
  --bl-border-color-divider: #A8A4B8;
  --bl-border-color-quote: #7E78A6;
  --bl-color-quote: #6A6482;
  --bl-color-header: #2B253D;
  --bl-color-link: #222222;
  --bl-color-link-hover: #7E78A6;
  --bl-color-text: #222222;

  --font-family-header: Rubik, sans-serif;
  --font-family-nav: Poltawski_Nowy-Italic, serif;
  --font-family-text: Nunito, sans-serif;
  --font-family-text-italic: Nunito-Italic, sans-serif;
}


/* Tags ********************************************************************/

a {
  color: var(--bd-color-link);
  transition: color 0.2s ease;
}

a:hover {
  color: var(--bd-color-link-hover);
}

blockquote {
  border-left: 3px solid var(--bd-border-color-quote);
  color: var(--bd-color-quote);
  font-family: var(--font-family-text-italic);
  margin: 2rem 2rem;
  padding-left: 1rem;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--bd-color-header);
  font-family: var(--font-family-header);
  font-weight: 800;
  margin-bottom: 1rem;
}

h1 {
  font-size: 2.2rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.8rem;
}

h4 {
  font-size: 1.6rem;
}

h5 {
  font-size: 1.4rem;
}

h6 {
  font-size: 1.3rem;
}


/* Containers **************************************************************/

body {
  background-color: var(--bd-background-color);
}

/***** Nav ******************************/

nav {
  font-family: var(--font-family-nav);
  font-size: 1.6rem;
  font-weight: 400;
  left: 2rem;
  position: fixed;
  top: 2.5rem;
}

nav ul {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  list-style: none;
  padding-left: 0;
}

nav ul li a {
  text-decoration: none;
}

nav ul li a.is-active {
  position: relative;
}

nav ul li a.is-active::before {
  content: "•";
  left: -1rem;
  position: absolute;
}

/***** Main *****************************/

main {
  color: var(--bd-color-text);
  font-family: var(--font-family-text);
  font-size: 1.3rem;
  font-weight: 300;
  line-height: 1.6;
  margin-bottom: 5rem;
  margin-left: max(250px, calc(50% - 450px));
  margin-right: 2rem;
  width: min(900px, calc(100% - 250px - 2rem));
}

main header {
  border-bottom: 1px solid var(--bd-border-color-divider);
  margin-top: 3.125rem;
}

/***** Footer ***************************/

footer {
  bottom: 1.5rem;
  left: 1.5rem;
  position: fixed;
}

footer img {
  opacity: 0.4;
}
